library kova_resources;

import 'package:kova_resources/src/constants.dart';
import 'package:kova_resources/src/db_firestore.dart';
//import 'package:kova_resources/src/db_sqlite.dart';
import 'package:kova_resources/src/preferences.dart';
//import 'package:kova_resources/src/repository.dart';
import 'package:kova_resources/src/utils.dart';

class Dependencies {
  final Constants constants = Constants();
  final Preferences preferences = Preferences();
  final Utils utils = Utils();
  final DBFireStore dbFireStore = DBFireStore();
}

class Kova {
  static final Dependencies resources = Dependencies();
}
