import 'package:shared_preferences/shared_preferences.dart';

class Preferences {
  SharedPreferences prefs;

  Preferences() {
    init();
  }

  init() async {
    this.prefs = await SharedPreferences.getInstance();
  }

  static const String _kIsLoggedIn = "kIsLoggedIn";
  static const String _kUserId = "kUserId";
  static const String _kInspectionId = "kInspectionId";
  static const String _kStoragePath = "kStoragePath";

  String get userId => prefs.getString(_kUserId);
  set userId(String val) => prefs.setString(_kUserId, val);

  String getInspectionId() => prefs.getString(_kInspectionId);
  setInspectionId(String val) => prefs.setString(_kInspectionId, val);

  bool get isLoggedIn => prefs.getBool(_kIsLoggedIn);
  set isLoggedIn(bool val) => prefs.setBool(_kIsLoggedIn, val);

  String getStoragePath() => prefs.getString(_kStoragePath);
  setStoragePath(String val) => prefs.setString(_kStoragePath, val);
}
